<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<link rel="stylesheet" href="style.css" type="text/css"/>
<script src="code.js" type="text/javascript"></script>

<h1>Run RISC-V VMs from remote compressed images</h1>

<pre>
nbdkit --filter=cow --filter=xz curl \
    https://dl.fedoraproject.org/pub/alt/risc-v/
    disk-images/fedora/rawhide/20190703.n.0/
    Developer/Fedora-Developer-Rawhide-20190703.n.0<b>-sda.raw.xz</b>

qemu-system-riscv64 \
    -nographic \
    -machine virt \
    -smp 8 \
    -m 2G \
    <b>-drive file.driver=nbd,file.host=localhost,
           file.port=10809</b>
</pre>
